const trunc2 = (number, separator = ',') => {
  if (!number) {
    return null;
  }

  const s = number.toString();
  const separatorIndex = s.indexOf(separator);

  if (separatorIndex < 0) {
    return null;
  }

  let decimalPart = s.slice(separatorIndex + 1);
  decimalPart = decimalPart.padEnd(2, '0');
  const truncatedNumber = `s.slice(0, separatorIndex)${decimalPart}`;

  return parseFloat(truncatedNumber);
};

module.exports = trunc2;
