const OracleService = require('../service/OracleService');

class adqVerifArqCat52Model {
  constructor() {
    this.GET_ADQVERIFARQCAT52 = `
            SELECT
               *
            FROM
               ARQCAT52
            WHERE
               CDFILIAL = :P_CDFILIAL AND
               CDCAIXA = :P_CDCAIXA AND
               DTMOVCAT52 = TIMESTAMP :P_DTMOVCAT52 AND
               NRSERIECAT52 = :P_NRSERIECAT52
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ADQVERIFARQCAT52, params);
    });
  }
}

module.exports = new adqVerifArqCat52Model();
