import { IComponentRender, IComponentEvents } from '@zeedhi/common';
import { IEvent, IEventParam } from '@zeedhi/core';

export interface ICustomPaginationEvents<T = IEventParam<any>> extends IComponentEvents<T> {
    changePage: IEvent<T>,
}

export interface ICustomPagination extends IComponentRender {
    length?: String | Number,
    page?: String | Number,
    events?: ICustomPaginationEvents
}
