import { Component, Prop } from 'vue-property-decorator';
import { ZdComponent } from '@zeedhi/vuetify';
import { ModalLog as ModalLogClass } from './common/modal-log';

@Component
export default class ModalLog extends ZdComponent {
    @Prop({ type: String }) public text!: string;

    @Prop({ type: [String, Number] }) public rows!: string | number;

    public instance!: ModalLogClass;

    public instanceType: typeof ModalLogClass = ModalLogClass;
}
