import { IComponentRender, IComponentEvents } from '@zeedhi/common';
import { IEventParam } from '@zeedhi/core';

export interface IModalLogEvents<T = IEventParam<any>> extends IComponentEvents<T> {
}

export interface IModalLog extends IComponentRender {
    text?: String | Number,
    events?: IModalLogEvents,

    clearText(): void;
    setText(text: string): void;
    getText(): string;
    addText(text: string, previousText?: string, laterText?: string): void;
}
