import { Http } from '@zeedhi/core';
import { TekGrid } from '@zeedhi/teknisa-components-common';
import { Text, Container } from '@zeedhi/common';

class VersionMinimumUpdater {
  public async minimumSupportedVersionUpdater(grid: TekGrid): Promise<any> {
    const container = grid.getChildInstance<Container>('page-numbers');
    const textVersion = container.getChildInstance<Text>('version-supported');

    Http.get('/minimumSupportedVersion').then(({ data }) => {
      textVersion.text += `<strong>${data.minimumSupportedVersionUpdater}</strong>`;
    });
  }
}

export default new VersionMinimumUpdater();
