import { IRequestConfig } from '@zeedhi/core/types/http';

export class AddRequestSuccess {
  public static routesIgnoredInRequest = ['/login'];

  public static addHeaders(config: IRequestConfig) {
    const route: string = config.url || '';
    if (!AddRequestSuccess.routesIgnoredInRequest.includes(route)) {
      const token = localStorage.getItem('TOKEN');

      if (token) {
        config.headers.Authorization = token;
      }
    }
  }
}
