const LoginModel = require('../../model/loginModel');
const jwt = require('../../functions/JsonWebToken');
const md5 = require('md5');

const route = (router) => {
  router.post('/login', (async (req, res) => {
    try {
      const loginData = await LoginModel.getLogin({ PASSWORD: md5(req.body.password), EMAIL: req.body.email });
      
      if (loginData.rows.length === 0) {
        throw 'Email ou senha inválidos';
      }

      const operator = loginData.rows[0];

      operator.TOKEN = jwt.sign(operator);
      res.send(operator);
    } catch (error) {
      res.send(error);
    }
  }));
}

module.exports = route;