const OracleService = require('../service/OracleService');

class loginModel {
  constructor() {
    /**
    * Verifica a exitência da tabela de Portal
    */
    this.GET_LOGIN = `
      SELECT 
        CDOPERADOR, 
        NMOPERADOR, 
        IDOPERACESSO 
      FROM 
        OPERADOR 
      WHERE 
        CDSENHAOPERWEB = :PASSWORD 
        AND DSEMAILOPER = :EMAIL
    `;
  }

  getLogin(params) {
    return OracleService.connect().then(() => {
      return OracleService.fetchAssoc(this.GET_LOGIN, params);
    });
  }
}

module.exports = new loginModel();
