import { Component, Prop } from 'vue-property-decorator';
import { ZdComponent } from '@zeedhi/vuetify';
import { DropdownWarning as DropdownWarningClass } from './common/DropdownWarning';

@Component
export default class DropdownWarning extends ZdComponent {
    @Prop({ type: String }) public dataValue!: string;

    @Prop({ type: String }) public dataText!: string;

    @Prop({ type: Boolean }) public isVisible!: boolean;

    public instance!: DropdownWarningClass;

    public instanceType: typeof DropdownWarningClass = DropdownWarningClass;
}
