import { IComponentRender, IComponentEvents } from '@zeedhi/common';
import { IEventParam } from '@zeedhi/core';

export interface IDropdownWarningEvents<T = IEventParam<any>> extends IComponentEvents<T> {
}

export interface IDropdownWarning extends IComponentRender {
    componentName?: string,
    items?: Array<any>,
    badge?: number,
    dataText?: string,
    dataValue?: string,
    isVisible?: boolean,
    isVisibleBadge?: boolean,
    hideEmptyBadge?: boolean,
    events?: IDropdownWarningEvents
}
