import Alert from '../AlertHelper';

export class AddResponseFail {
  public static libInvalidToken() {
    localStorage.removeItem('NMOPERADOR');
    localStorage.removeItem('CDOPERADOR');
    localStorage.removeItem('IDOPERACESSO');
    localStorage.removeItem('TOKEN');

    Alert.showAlert('Token de autenticação inválido/expirado. Redirecionando para a tela de login...');

    setTimeout(() => {
      window.location.href = `${window.location.origin}/login`;
      window.location.reload();
    }, 5000);
  }

  public static async libCommonError(errorText: string) {
    Alert.showAlert(errorText);
  }
}
